# Poco

# class Base32EncoderBuf

Library: Foundation
Package: Streams
Header: Poco/Base32Encoder.h

## Description

This streambuf base32-encodes all data written to it and forwards it to a connected ostream.

Note: The characters are directly written to the ostream's streambuf, thus bypassing the ostream. The ostream's state is therefore not updated to match the buffer's state.

## Inheritance

Direct Base Classes: UnbufferedStreamBuf

All Base Classes: UnbufferedStreamBuf

## Member Summary

Member Functions: close

## Constructors

### Base32EncoderBuf

Base32EncoderBuf(
std::ostream & ostr,
bool padding = true
);

## Destructor

### ~Base32EncoderBuf

~Base32EncoderBuf();

## Member Functions

### close

int close();

Closes the stream buffer.